package Package1;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class DurationEnum {

    enum Durations {
        INTERO, META, QUARTO, OTTAVO, SEDICESIMO, TRENTADUESIMO, SESSANTAQUATTRESIMO
    };

    public static void main(String[] args) {

        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        Durations value = null;

        while (value == null) {
            try {
                System.out.print("Inserisci una durata (intero, meta, quarto, ottavo, sedicesimo, ecc.): ");
                value = Durations.valueOf(br.readLine().toUpperCase());
            } catch (IOException | IllegalArgumentException ex) {
                System.out.println("Valore non riconosciuto");
            }
        }

        System.out.println("La durata e' 1/" + (int) Math.pow(2, value.ordinal()));
    }
}
